Debian Bug report logs - #704808
live-images and live-image-all: error when trying to install together

version graph

Packages: live-images, live-image-all; Maintainer for live-images is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-images is src:live-images. Maintainer for live-image-all is (unknown);

Reported by: Ralf Treinen <treinen@free.fr>

Date: Sat, 6 Apr 2013 06:33:02 UTC

Severity: serious

Found in versions live-images/4.0~a13-1, live-images/4.0~a12-1

Fixed in version 4.0~a14-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704808; Package live-image-all,live-images. (Sat, 06 Apr 2013 06:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

live-images/4.0~a12-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 06 Apr 2013 06:33:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: live-images and live-image-all: error when trying to install together
Date: Sat, 06 Apr 2013 08:29:31 +0200
Package: live-image-all,live-images
Version: live-image-all/4.0~a11-1
Version: live-images/4.0~a12-1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2013-04-06
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  debootstrap live-build live-image-gnome-desktop live-image-kde-desktop
  live-image-lxde-desktop live-image-rescue live-image-standard
  live-image-xfce-desktop live-image-all live-images
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package debootstrap.
(Reading database ... 10775 files and directories currently installed.)
Unpacking debootstrap (from .../debootstrap_1.0.48_all.deb) ...
Selecting previously unselected package live-build.
Unpacking live-build (from .../live-build_3.0.1-1_all.deb) ...
Selecting previously unselected package live-image-gnome-desktop.
Unpacking live-image-gnome-desktop (from .../live-image-gnome-desktop_4.0~a12-1_all.deb) ...
Selecting previously unselected package live-image-kde-desktop.
Unpacking live-image-kde-desktop (from .../live-image-kde-desktop_4.0~a12-1_all.deb) ...
Selecting previously unselected package live-image-lxde-desktop.
Unpacking live-image-lxde-desktop (from .../live-image-lxde-desktop_4.0~a12-1_all.deb) ...
Selecting previously unselected package live-image-rescue.
Unpacking live-image-rescue (from .../live-image-rescue_4.0~a12-1_all.deb) ...
Selecting previously unselected package live-image-standard.
Unpacking live-image-standard (from .../live-image-standard_4.0~a12-1_all.deb) ...
Selecting previously unselected package live-image-xfce-desktop.
Unpacking live-image-xfce-desktop (from .../live-image-xfce-desktop_4.0~a12-1_all.deb) ...
Selecting previously unselected package live-image-all.
Unpacking live-image-all (from .../live-image-all_4.0~a11-1_all.deb) ...
Selecting previously unselected package live-images.
Unpacking live-images (from .../live-images_4.0~a12-1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/live-images_4.0~a12-1_all.deb (--unpack):
 trying to overwrite '/usr/share/doc/live-images/examples/live-images-wheezy', which is also in package live-image-all 4.0~a11-1
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/live-images_4.0~a12-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/share/doc/live-images/examples/live-images-wheezy
  /usr/share/man/de/man7/live-images.7.gz
  /usr/share/man/man7/live-images.7.gz

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.



Marked as fixed in versions live-images/4.0~a13-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 06 Apr 2013 08:33:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 06 Apr 2013 08:33:05 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 08:33:06 GMT) Full text and rfc822 format available.

Marked as found in versions live-images/4.0~a13-1; no longer marked as fixed in versions live-images/4.0~a13-1 and reopened. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Sat, 06 Apr 2013 15:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704808; Package live-image-all,live-images. (Sat, 06 Apr 2013 15:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 06 Apr 2013 15:54:08 GMT) Full text and rfc822 format available.

Message #18 received at 704808@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 704808@bugs.debian.org
Subject: Re: live-images and live-image-all: error when trying to install together
Date: Sat, 6 Apr 2013 17:52:44 +0200
This issue is not fixed in live-images/4.0~a13-1:

[...]
Selecting previously unselected package live-image-all.
Unpacking live-image-all (from .../live-image-all_4.0~a11-1_all.deb) ...
Selecting previously unselected package live-images.
Unpacking live-images (from .../live-images_4.0~a13-1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/live-images_4.0~a13-1_all.deb (--unpack):
 trying to overwrite '/usr/share/man/de/man7/live-images.7.gz', which is also in package live-image-all 4.0~a11-1
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/live-images_4.0~a13-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

-Ralf.



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704808; Package live-image-all,live-images. (Sat, 06 Apr 2013 18:45:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 06 Apr 2013 18:45:21 GMT) Full text and rfc822 format available.

Message #23 received at 704808@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Ralf Treinen <treinen@free.fr>
Cc: 704808@bugs.debian.org
Subject: Re: Bug#704808: live-images and live-image-all: error when trying to install together
Date: Sat, 06 Apr 2013 20:31:01 +0200
On 04/06/2013 05:52 PM, Ralf Treinen wrote:
> [...]
> Selecting previously unselected package live-image-all.
> Unpacking live-image-all (from .../live-image-all_4.0~a11-1_all.deb) ...
> Selecting previously unselected package live-images.
> Unpacking live-images (from .../live-images_4.0~a13-1_all.deb) ...
> dpkg: error processing /var/cache/apt/archives/live-images_4.0~a13-1_all.deb (--unpack):
>  trying to overwrite '/usr/share/man/de/man7/live-images.7.gz', which is also in package live-image-all 4.0~a11-1
> Processing triggers for man-db ...
> Errors were encountered while processing:
>  /var/cache/apt/archives/live-images_4.0~a13-1_all.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)

this doesn't make any sense; first, live-images-all is no more (so you
can't install it anymore, you can only upgrade), and the upgrade is ok
by having a conflicts/replaces against it. what am i missing?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704808; Package live-image-all,live-images. (Sat, 06 Apr 2013 19:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 06 Apr 2013 19:09:10 GMT) Full text and rfc822 format available.

Message #28 received at 704808@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: Ralf Treinen <treinen@free.fr>, 704808@bugs.debian.org
Subject: Re: Bug#704808: live-images and live-image-all: error when trying to install together
Date: Sat, 6 Apr 2013 21:05:58 +0200
On Saturday, 6. April 2013 20:31:01 Daniel Baumann wrote:
> this doesn't make any sense; first, live-images-all is no more (so you
> can't install it anymore, you can only upgrade), and the upgrade is ok
> by having a conflicts/replaces against it.

not really ...

> what am i missing? 

s/live-images-all/live-image-all/


Andreas



Marked as found in versions live-images/4.0~a12-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 06 Apr 2013 19:12:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0~a14-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 09 Apr 2013 08:54:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 09 Apr 2013 08:54:05 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Tue, 09 Apr 2013 08:54:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 May 2013 07:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:18:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.